## ros-one-ar-track-alvar 0.7.1-1jammy.20251023.0956

=== debian/changelog ===
ros-one-ar-track-alvar (0.7.1-1jammy.20251023.0956) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Thu, 23 Oct 2025 09:56:19 +0000

ros-one-ar-track-alvar (0.7.1-0jammy) jammy; urgency=high

  * [maintenance] Remove unnecessary metapkg.
  * [fix][build][CMakeLists] Prevent rosdep errors that only occur when running tests with catkin_make_isolated. See http://answers.ros.org/question/262558/buildfarm-missing-package-dependencies-pkg_namepackagexml/
  * [test] Relax tf test criteria #39 <https://github.com/ros-perception/ar_track_alvar/pull/39>
  * Contributors: Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.7.0-0jammy) jammy; urgency=high

  * Consolidate ar_track_alvar* packages into a single repo (#120 <https://github.com/sniekum/ar_track_alvar/issues/120>)
  * Contributors: Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.6.3-0jammy) jammy; urgency=high

  * [fix] Marker no longer recognized, for IndividualMarkersNoKinect #93 <https://github.com/sniekum/ar_track_alvar/issues/93>
  * [capability] Add param to derive camera frame from pointcloud message frame (#111 <https://github.com/sniekum/ar_track_alvar/issues/111>)
  * [capability ] individual marker nodes: replace command line args with ros parameters (#99 <https://github.com/sniekum/ar_track_alvar/issues/99>)
  * [maintenance] Add system test using .bag. (#106 <https://github.com/sniekum/ar_track_alvar/issues/106>)
  * Contributors: Hans-Joachim Krauch, Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.6.2-0jammy) jammy; urgency=high

  * [fix] Marker no longer recognized #93 <https://github.com/sniekum/ar_track_alvar/issues/93>
  * [fix] add install rule for bundles folder; fixes #88 <https://github.com/sniekum/ar_track_alvar/issues/88>
  * [fix] Shutdown camera info sub after called
  * [enhancement] add mark_resolution and mark_marge as input option
  * [enhancement] individualMarkers: replace cout with ROS_DEBUG_STREAM (#101 <https://github.com/sniekum/ar_track_alvar/issues/101>)
  * Contributors: Alex Reimann, Hans-Joachim Krauch, Isaac I.Y. Saito, TORK Developer 534

 -- Scott Niekum <sniekum@cs.umass.edu>  Tue, 07 Feb 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.6.1-0jammy) jammy; urgency=high

  * New parameter -array to create an array of markers #85 <https://github.com/sniekum/ar_track_alvar/issues/85> from 130s/kinetic/add_60
  * Fix build for Kinetic by adding missing dependencies on gencfg #84 <https://github.com/sniekum/ar_track_alvar/issues/84> from 130s/kinetic/fix_buildfarm
  * [sys] Add a maintainer to receive notification from ros buildfarm.
  * Contributors: Jackie Kay, Mehdi, Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 08 Jun 2016 00:00:00 -0000

ros-one-ar-track-alvar (0.6.0-0jammy) jammy; urgency=high

  * Made compatible to ROS-Kinetic-Kame #80 <https://github.com/sniekum/ar_track_alvar/issues/80>
  * [Travis CI] Add ROS Kinetic support. Add Prerelease Test on Travis #79 <https://github.com/sniekum/ar_track_alvar/issues/79>
  * Contributors: Sepehr MohaimenianPour, Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 01 Jun 2016 00:00:00 -0000

ros-one-ar-track-alvar (0.5.3-0jammy) jammy; urgency=high

  * [feat] New bool-Topic to enable/disable the marker detection (#70 <https://github.com/sniekum/ar_track_alvar/issues/70>)
  * [feat] added public way to set intrinsicCalibration for Camera class
  * [fix] not publishing marker that are facing in the same direction as the camera.
  * [sys] removed duplicate code for image subscription
  * Contributors: Nikolas Engelhard, Scott Niekum

 -- Scott Niekum <sniekum@cs.umass.edu>  Tue, 02 Feb 2016 00:00:00 -0000

ros-one-ar-track-alvar (0.5.2-0jammy) jammy; urgency=high

  * [fix] Move tf include from header to cpp files, fixes #66 <https://github.com/sniekum/ar_track_alvar/issues/66>
    The header currently prevents us from re-using the library as a given library (because it pulls in tf2 which causes trouble). The include has been moved to the individual nodes which actually use a TransformBroadcaster.
  * [fix] proper virtual destruction #63 <https://github.com/sniekum/ar_track_alvar/issues/63>.
  * improve license information in package.xml (#58 <https://github.com/sniekum/ar_track_alvar/issues/58>)
  * Added time stamp to header (#57 <https://github.com/sniekum/ar_track_alvar/issues/57>)
    Previously, each pose had a timestamp, but the whole message did not. By including the timestamp for the whole message, it is now possible to use the results of the ar_pose_marker topic with other messages using message_filters::Synchronizer.
  * Contributors: Alex Henning, Bener Suay, Lukas Bulwahn, Scott Niekum, Tim Niemueller, Isaac I. Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 27 Nov 2015 00:00:00 -0000

ros-one-ar-track-alvar (0.5.1-0jammy) jammy; urgency=high

  * Remove meta pkg; ar_track_alvar is 'unary stack' so no need for the meta pkg.
  * Contributors: Scott Niekum, Isaac IY Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Tue, 14 Apr 2015 00:00:00 -0000

ros-one-ar-track-alvar (0.5.0-0jammy) jammy; urgency=high

  * move README to root directory
  * Merge remote-tracking branch 'origin/hydro-devel' into indigo-devel
  * ar_track_alvar package uses ar_track_alvar_msgs
  * restructuring packages. Separate out the message package.
  * Contributors: Jihoon Lee

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 25 Jun 2014 00:00:00 -0000

ros-one-ar-track-alvar (0.4.1-0jammy) jammy; urgency=high



 -- Scott Niekum <sniekum@cs.umass.edu>  Thu, 28 Nov 2013 00:00:00 -0000

ros-one-ar-track-alvar (0.3.3-0jammy) jammy; urgency=high



 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 22 Feb 2013 00:00:00 -0000



## ros-one-ar-track-alvar 0.7.1-1jammy.20251207.2236

=== debian/changelog ===
ros-one-ar-track-alvar (0.7.1-1jammy.20251207.2236) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Sun, 07 Dec 2025 22:36:10 +0000

## ros-one-ar-track-alvar 0.7.1-1jammy.20260221.2129

=== debian/changelog ===
ros-one-ar-track-alvar (0.7.1-1jammy.20260221.2129) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Sat, 21 Feb 2026 21:29:50 +0000

## ros-one-ar-track-alvar 0.7.1-1noble.20251023.1011

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ar_track_alvar)

find_package(catkin REQUIRED COMPONENTS
        ${PROJECT_NAME}_msgs
        cmake_modules
        cv_bridge
        dynamic_reconfigure
        geometry_msgs
        image_transport
        message_generation
        pcl_conversions
        pcl_ros
        resource_retriever
        roscpp
        sensor_msgs
        std_msgs
        tf
        tf2
        visualization_msgs)

find_package(Eigen3 REQUIRED)
find_package(OpenCV REQUIRED)
find_package(TinyXML REQUIRED)

# dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/Params.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
        ${PROJECT_NAME}_msgs
        cv_bridge
        dynamic_reconfigure
        geometry_msgs
        image_transport
        message_runtime
        pcl_conversions
        pcl_ros
        resource_retriever
        roscpp
        sensor_msgs
        std_msgs
        tf
        tf2
        visualization_msgs
)

include_directories(include
                    ${catkin_INCLUDE_DIRS}
                    ${OpenCV_INCLUDE_DIRS}
                    ${TinyXML_INCLUDE_DIRS}

)

add_library(${PROJECT_NAME}
    src/Bitset.cpp
    src/Camera.cpp
    src/CaptureDevice.cpp
    src/CaptureFactory.cpp
    src/CaptureFactory_unix.cpp
    src/ConnectedComponents.cpp
    src/CvTestbed.cpp
    src/DirectoryIterator.cpp
    src/DirectoryIterator_unix.cpp
    src/Draw.cpp
    src/FileFormatUtils.cpp
    src/Filter.cpp
    src/Kalman.cpp
    src/Line.cpp
    src/Marker.cpp
    src/MarkerDetector.cpp
    src/MultiMarker.cpp
    src/MultiMarkerBundle.cpp
    src/MultiMarkerInitializer.cpp
    src/Mutex.cpp
    src/Mutex_unix.cpp
    src/Optimization.cpp
    src/Plugin.cpp
    src/Plugin_unix.cpp
    src/Pose.cpp
    src/Rotation.cpp
    src/Threads.cpp
    src/Threads_unix.cpp
    src/Util.cpp
)
target_link_libraries(${PROJECT_NAME} ${OpenCV_LIBS} ${TinyXML_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

# Kinect filtering code
add_library(kinect_filtering src/kinect_filtering.cpp)
target_link_libraries(kinect_filtering ${catkin_LIBRARIES})
add_dependencies(kinect_filtering ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_library(medianFilter src/medianFilter.cpp)
target_link_libraries(medianFilter ${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(medianFilter ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(individualMarkers nodes/IndividualMarkers.cpp)
target_link_libraries(individualMarkers ${PROJECT_NAME} kinect_filtering ${catkin_LIBRARIES})
add_dependencies(individualMarkers ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(individualMarkersNoKinect nodes/IndividualMarkersNoKinect.cpp)
target_link_libraries(individualMarkersNoKinect ${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(individualMarkersNoKinect ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(trainMarkerBundle nodes/TrainMarkerBundle.cpp)
target_link_libraries(trainMarkerBundle ${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(trainMarkerBundle ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(findMarkerBundles nodes/FindMarkerBundles.cpp)
target_link_libraries(findMarkerBundles ${PROJECT_NAME} kinect_filtering medianFilter ${catkin_LIBRARIES})
add_dependencies(findMarkerBundles ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(findMarkerBundlesNoKinect nodes/FindMarkerBundlesNoKinect.cpp)
target_link_libraries(findMarkerBundlesNoKinect ${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(findMarkerBundlesNoKinect ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

add_executable(createMarker src/SampleMarkerCreator.cpp)
target_link_libraries(createMarker ${PROJECT_NAME} ${catkin_LIBRARIES})
add_dependencies(createMarker ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${PROJECT_NAME} createMarker findMarkerBundles findMarkerBundlesNoKinect individualMarkers individualMarkersNoKinect kinect_filtering medianFilter trainMarkerBundle
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY bundles launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  find_package(rostest REQUIRED)

  file(GLOB LAUNCH_FILES launch/*.launch test/*.test)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE} USE_TEST_DEPENDENCIES)
  endforeach()
endif()

=== src/CMakeLists.txt ===
# include opencv library
include_directories(${OpenCV_INCLUDE_DIRS})

# include opengl and glut library if found
if(GLUT_FOUND)
    include_directories(${OPENGL_INCLUDE_DIR})
    include_directories(${GLUT_INCLUDE_DIR})
endif(GLUT_FOUND)

# include alvar library
include_directories(${ALVAR_INCLUDE_DIRS})

# define samples in alphabetical order
set(ALVAR_SAMPLES
    SampleCamCalib
    SampleCvTestbed
    SampleFilter
    SampleIntegralImage
    SampleLabeling
    SampleMarkerCreator
    SampleMarkerlessCreator
    SampleMultiMarker
    SampleMultiMarkerBundle
    SampleOptimization
    SampleTrack
)

# define samples that require GlutViewer in alphabetical order
set(ALVAR_SAMPLES_GLUTVIEWER
    SampleMarkerDetector
    SampleMarkerHide
    SampleMarkerlessDetector
    SamplePointcloud
)

# add shared samples library
add_library(SharedSamples STATIC
    CvTestbed.h
    CvTestbed.cpp
    Shared.h
)

# add GlutViewer library and samples if glut library is found
if(GLUT_FOUND)
    add_library(SharedGlutViewer STATIC
        GlutViewer.h
        GlutViewer.cpp
    )
    target_link_libraries(SharedGlutViewer
        ${OPENGL_LIBRARIES}
        ${GLUT_glut_LIBRARY}
    )
    list(APPEND ALVAR_SAMPLES ${ALVAR_SAMPLES_GLUTVIEWER})
endif(GLUT_FOUND)

# add each sample as a seperate executable
foreach(_sample ${ALVAR_SAMPLES})
    # determine if glut common sources need to be included
    list(FIND ALVAR_SAMPLES_GLUTVIEWER ${_sample} _glutviewer)

    # add source files to executable and set name and properties
    add_executable(${_sample} ${_sample}.cpp)
    string(TOLOWER ${_sample} _filename)
    set_target_properties(${_sample} PROPERTIES OUTPUT_NAME ${_filename})
    set_target_properties(${_sample} PROPERTIES DEBUG_POSTFIX d)

    # link executable target to required libraries
    target_link_libraries(${_sample}
        ${OpenCV_LIBRARIES}
        ${ALVAR_LIBRARIES}
        SharedSamples
    )
    if(NOT _glutviewer EQUAL -1)
        target_link_libraries(${_sample} SharedGlutViewer)
    endif(NOT _glutviewer EQUAL -1)

    # install executable
    if(NOT ALVAR_PACKAGE OR ALVAR_PACKAGE MATCHES bin)
        install(TARGETS ${_sample} DESTINATION bin)
    endif(NOT ALVAR_PACKAGE OR ALVAR_PACKAGE MATCHES bin)
endforeach(_sample ${ALVAR_SAMPLES})

# install files for exported build environment
if(ALVAR_PACKAGE MATCHES sdk)
    install(FILES CMakeLists.txt DESTINATION sample)
    file(GLOB ALVAR_SAMPLE_HEADERS "*.h")
    install(FILES ${ALVAR_SAMPLE_HEADERS} DESTINATION sample)
    file(GLOB ALVAR_SAMPLE_SOURCES "*.cpp")
    install(FILES ${ALVAR_SAMPLE_SOURCES} DESTINATION sample)
endif(ALVAR_PACKAGE MATCHES sdk)

=== src/platform/CMakeLists.txt ===
# include opencv library
include_directories(${OpenCV_INCLUDE_DIRS})

# include alvar library
include_directories(${ALVAR_INCLUDE_DIRS})

# define alvarplatform library source files to compile
set(ALVARPlatform_HEADERS
    Capture.h
    CaptureDevice.h
    CaptureFactory.h
    CapturePlugin.h
    DirectoryIterator.h
    Lock.h
    Mutex.h
    Platform.h
    Plugin.h
    Threads.h
    Timer.h
    Uncopyable.h
)
set(ALVARPlatform_HEADERS_PRIVATE
    CaptureFactory_private.h
    DirectoryIterator_private.h
    Mutex_private.h
    Plugin_private.h
    Threads_private.h
    Timer_private.h
)
set(ALVARPlatform_SOURCES
    CaptureFactory.cpp
    CaptureDevice.cpp
    DirectoryIterator.cpp
    Mutex.cpp
    Platform.cpp
    Plugin.cpp
    Threads.cpp
    Timer.cpp
)
if(WIN32)
    list(APPEND ALVARPlatform_SOURCES
        CaptureFactory_win.cpp
        DirectoryIterator_win.cpp
        Mutex_win.cpp
        Plugin_win.cpp
        Threads_win.cpp
        Timer_win.cpp
    )
else(WIN32)
    list(APPEND ALVARPlatform_SOURCES
        CaptureFactory_unix.cpp
        DirectoryIterator_unix.cpp
        Mutex_unix.cpp
        Plugin_unix.cpp
        Threads_unix.cpp
        Timer_unix.cpp
    )
endif(WIN32)

# add source files to alvarplatform library and set name and properties
add_library(ALVARPlatform
    ${ALVARPlatform_HEADERS}
    ${ALVARPlatform_HEADERS_PRIVATE}
    ${ALVARPlatform_SOURCES}
)
set_target_properties(ALVARPlatform PROPERTIES OUTPUT_NAME alvarplatform${ALVAR_VERSION_NODOTS})
set_target_properties(ALVARPlatform PROPERTIES DEBUG_POSTFIX d)

# link alvarplatform library target to required libraries
target_link_libraries(ALVARPlatform
    ALVAR
    ${OpenCV_LIBRARIES}
)

# install headers
if(ALVAR_PACKAGE MATCHES sdk)
    install(FILES ${ALVARPlatform_HEADERS} DESTINATION include/platform)
endif(ALVAR_PACKAGE MATCHES sdk)

# install target
install(TARGETS ALVARPlatform DESTINATION bin)

# set include directories and libraries variables for alvar
list(APPEND ALVAR_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}
)
list(APPEND ALVAR_LIBRARIES
    ALVARPlatform
)
set(_prefix "general")
foreach(_item ${ALVARPlatform_LIB_DEPENDS})
    if(_item MATCHES "^general$|^optimized$|^debug$")
        set(_prefix ${_item})
    else(_item MATCHES "^general$|^optimized$|^debug$")
        set(_found FALSE)
        list(FIND ALVAR_LIBRARIES ${_item} _found)
        if(_found EQUAL -1)
            list(APPEND ALVAR_LIBRARIES ${_prefix} ${_item})
        endif(_found EQUAL -1)
        set(_prefix "general")
    endif(_item MATCHES "^general$|^optimized$|^debug$")
endforeach(_item ${ALVARPlatform_LIB_DEPENDS})
set(ALVAR_INCLUDE_DIRS ${ALVAR_INCLUDE_DIRS} PARENT_SCOPE)
set(ALVAR_LIBRARIES ${ALVAR_LIBRARIES} PARENT_SCOPE)

# hack to setup environment runtime path
if(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}\;
    )
else(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}/Debug\;
        ${CMAKE_CURRENT_BINARY_DIR}/Release\;
    )
endif(NOT ${MSVC_IDE})

# process sub directories
add_subdirectory(capture_plugin_highgui)
add_subdirectory(capture_plugin_file)
if(CMU_FOUND)
    add_subdirectory(capture_plugin_cmu)
endif(CMU_FOUND)
if(ALVAR_USE_FLYCAPTURE2)
    add_subdirectory(capture_plugin_ptgrey)
endif(ALVAR_USE_FLYCAPTURE2)
if(ALVAR_USE_DSCAPTURE)
    add_subdirectory(capture_plugin_dscapture)
endif(ALVAR_USE_DSCAPTURE)

# hack to setup environment runtime path
set(ALVAR_RUNTIME ${ALVAR_RUNTIME} PARENT_SCOPE)

=== src/platform/capture_plugin_cmu/CMakeLists.txt ===
# include opencv library
include_directories(${OpenCV_INCLUDE_DIRS})

# include alvar library
include_directories(${ALVAR_INCLUDE_DIRS})

# include CMU library
include_directories(${CMU_INCLUDE_DIRS})

# ensure plugin api is exported when building library
add_definitions(-DALVAR_Capture_Plugin_CMU_BUILD)

# define plugin library source files to compile
set(ALVARCapturePluginCMU_HEADERS
    CapturePluginCmu.h
)
set(ALVARCapturePluginCMU_SOURCES
    CapturePluginCmu.cpp
)

# add source files to plugin library and set name and properties
add_library(ALVARCapturePluginCMU MODULE
    ${ALVARCapturePluginCMU_HEADERS}
    ${ALVARCapturePluginCMU_SOURCES}
)
set_target_properties(ALVARCapturePluginCMU PROPERTIES OUTPUT_NAME alvarcaptureplugincmu${ALVAR_VERSION_NODOTS})
set_target_properties(ALVARCapturePluginCMU PROPERTIES DEBUG_POSTFIX d)

# link plugin library target to required libraries
target_link_libraries(ALVARCapturePluginCMU
    ALVAR
    ALVARPlatform
    ${OpenCV_LIBRARIES}
    ${CMU_LIBRARIES}
)

# install headers
if(ALVAR_PACKAGE MATCHES sdk)
    install(FILES ${ALVARCapturePluginCMU_HEADERS} DESTINATION include/platform/capture_plugin_cmu)
endif(ALVAR_PACKAGE MATCHES sdk)

# install target
install(TARGETS ALVARCapturePluginCMU DESTINATION bin/alvarplugins)

# hack to setup environment runtime path
if(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}\;
    )
else(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}/Debug\;
        ${CMAKE_CURRENT_BINARY_DIR}/Release\;
    )
endif(NOT ${MSVC_IDE})
set(ALVAR_RUNTIME ${ALVAR_RUNTIME} PARENT_SCOPE)

=== src/platform/capture_plugin_dscapture/CMakeLists.txt ===
# include opencv library
include_directories(${OpenCV_INCLUDE_DIRS})

# include alvar library
include_directories(${ALVAR_INCLUDE_DIRS})

# include DSCapture library
include_directories(${DSCAPTURE_INCLUDE_DIRS})

# ensure plugin api is exported when building library
add_definitions(-DALVAR_Capture_Plugin_DSCapture_BUILD)

# define plugin library source files to compile
set(ALVARCapturePluginDSCapture_HEADERS
    CapturePluginDSCapture.h
)
set(ALVARCapturePluginDSCapture_SOURCES
    CapturePluginDSCapture.cpp
)

# add source files to plugin library and set name and properties
add_library(ALVARCapturePluginDSCapture MODULE
    ${ALVARCapturePluginDSCapture_HEADERS}
    ${ALVARCapturePluginDSCapture_SOURCES}
)
set_target_properties(ALVARCapturePluginDSCapture PROPERTIES OUTPUT_NAME alvarcaptureplugindscapture${ALVAR_VERSION_NODOTS})
set_target_properties(ALVARCapturePluginDSCapture PROPERTIES DEBUG_POSTFIX d)

# link plugin library target to required libraries
target_link_libraries(ALVARCapturePluginDSCapture
    ALVAR
    ALVARPlatform
    ${OpenCV_LIBRARIES}
    optimized ${DSCAPTURE_LIBRARIES}
    debug ${DSCAPTURE_LIBRARIES_DEBUG}
)

# install headers
if(ALVAR_PACKAGE MATCHES sdk)
    install(FILES ${ALVARCapturePluginDSCapture_HEADERS} DESTINATION include/platform/capture_plugin_dscapture)
endif(ALVAR_PACKAGE MATCHES sdk)

# install target
install(TARGETS ALVARCapturePluginDSCapture DESTINATION bin/alvarplugins)

# hack to setup environment runtime path
if(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}\;
    )
else(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}/Debug\;
        ${CMAKE_CURRENT_BINARY_DIR}/Release\;
    )
endif(NOT ${MSVC_IDE})
set(ALVAR_RUNTIME ${ALVAR_RUNTIME} PARENT_SCOPE)

=== src/platform/capture_plugin_file/CMakeLists.txt ===
# include opencv library
include_directories(${OpenCV_INCLUDE_DIRS})

# include alvar library
include_directories(${ALVAR_INCLUDE_DIRS})

# ensure plugin api is exported when building library
add_definitions(-DALVAR_Capture_Plugin_File_BUILD)

# define plugin library source files to compile
set(ALVARCapturePluginFile_HEADERS
    CapturePluginFile.h
)
set(ALVARCapturePluginFile_SOURCES
    CapturePluginFile.cpp
)

# add source files to plugin library and set name and properties
add_library(ALVARCapturePluginFile MODULE
    ${ALVARCapturePluginFile_HEADERS}
    ${ALVARCapturePluginFile_SOURCES}
)
set_target_properties(ALVARCapturePluginFile PROPERTIES OUTPUT_NAME alvarcapturepluginfile${ALVAR_VERSION_NODOTS})
set_target_properties(ALVARCapturePluginFile PROPERTIES DEBUG_POSTFIX d)

# link plugin library target to required libraries
target_link_libraries(ALVARCapturePluginFile
    ALVAR
    ALVARPlatform
    ${OpenCV_LIBRARIES}
)

# install headers
if(ALVAR_PACKAGE MATCHES sdk)
    install(FILES ${ALVARCapturePluginFile_HEADERS} DESTINATION include/platform/capture_plugin_file)
endif(ALVAR_PACKAGE MATCHES sdk)

# install target
install(TARGETS ALVARCapturePluginFile DESTINATION bin/alvarplugins)

# hack to setup environment runtime path
if(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}\;
    )
else(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}/Debug\;
        ${CMAKE_CURRENT_BINARY_DIR}/Release\;
    )
endif(NOT ${MSVC_IDE})
set(ALVAR_RUNTIME ${ALVAR_RUNTIME} PARENT_SCOPE)

=== src/platform/capture_plugin_highgui/CMakeLists.txt ===
# include opencv library
include_directories(${OpenCV_INCLUDE_DIRS})

# include alvar library
include_directories(${ALVAR_INCLUDE_DIRS})

# ensure plugin api is exported when building library
add_definitions(-DALVAR_Capture_Plugin_Highgui_BUILD)

# define plugin library source files to compile
set(ALVARCapturePluginHighgui_HEADERS
    CapturePluginHighgui.h
)
set(ALVARCapturePluginHighgui_SOURCES
    CapturePluginHighgui.cpp
)

# add source files to plugin library and set name and properties
add_library(ALVARCapturePluginHighgui MODULE
    ${ALVARCapturePluginHighgui_HEADERS}
    ${ALVARCapturePluginHighgui_SOURCES}
)
set_target_properties(ALVARCapturePluginHighgui PROPERTIES OUTPUT_NAME alvarcapturepluginhighgui${ALVAR_VERSION_NODOTS})
set_target_properties(ALVARCapturePluginHighgui PROPERTIES DEBUG_POSTFIX d)

# link plugin library target to required libraries
target_link_libraries(ALVARCapturePluginHighgui
    ALVAR
    ALVARPlatform
    ${OpenCV_LIBRARIES}
)

# install headers
if(ALVAR_PACKAGE MATCHES sdk)
    install(FILES ${ALVARCapturePluginHighgui_HEADERS} DESTINATION include/platform/capture_plugin_highgui)
endif(ALVAR_PACKAGE MATCHES sdk)

# install target
install(TARGETS ALVARCapturePluginHighgui DESTINATION bin/alvarplugins)

# hack to setup environment runtime path
if(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}\;
    )
else(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}/Debug\;
        ${CMAKE_CURRENT_BINARY_DIR}/Release\;
    )
endif(NOT ${MSVC_IDE})
set(ALVAR_RUNTIME ${ALVAR_RUNTIME} PARENT_SCOPE)

=== src/platform/capture_plugin_ptgrey/CMakeLists.txt ===
# include opencv library
include_directories(${OpenCV_INCLUDE_DIRS})

# include alvar library
include_directories(${ALVAR_INCLUDE_DIRS})

# include PTGrey FlyCapture2 library
include_directories(${FLYCAPTURE2_INCLUDE_DIRS})

# ensure plugin api is exported when building library
add_definitions(-DALVAR_Capture_Plugin_Ptgrey_BUILD)

# define plugin library source files to compile
set(ALVARCapturePluginPtgrey_HEADERS
    CapturePluginPtgrey.h
)
set(ALVARCapturePluginPtgrey_SOURCES
    CapturePluginPtgrey.cpp
)

# add source files to plugin library and set name and properties
add_library(ALVARCapturePluginPtgrey MODULE
    ${ALVARCapturePluginPtgrey_HEADERS}
    ${ALVARCapturePluginPtgrey_SOURCES}
)
set_target_properties(ALVARCapturePluginPtgrey PROPERTIES OUTPUT_NAME alvarcapturepluginptgrey${ALVAR_VERSION_NODOTS})
set_target_properties(ALVARCapturePluginPtgrey PROPERTIES DEBUG_POSTFIX d)

# link plugin library target to required libraries
target_link_libraries(ALVARCapturePluginPtgrey
    ALVAR
    ALVARPlatform
    ${OpenCV_LIBRARIES}
    optimized ${FLYCAPTURE2_LIBRARIES}
    debug ${FLYCAPTURE2_LIBRARIES_DEBUG}
)

# install headers
if(ALVAR_PACKAGE MATCHES sdk)
    install(FILES ${ALVARCapturePluginPtgrey_HEADERS} DESTINATION include/platform/capture_plugin_ptgrey)
endif(ALVAR_PACKAGE MATCHES sdk)

# install target
install(TARGETS ALVARCapturePluginPtgrey DESTINATION bin/alvarplugins)

# hack to setup environment runtime path
if(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}\;
    )
else(NOT ${MSVC_IDE})
    list(APPEND ALVAR_RUNTIME
        ${CMAKE_CURRENT_BINARY_DIR}/Debug\;
        ${CMAKE_CURRENT_BINARY_DIR}/Release\;
    )
endif(NOT ${MSVC_IDE})
set(ALVAR_RUNTIME ${ALVAR_RUNTIME} PARENT_SCOPE)

=== debian/changelog ===
ros-one-ar-track-alvar (0.7.1-1noble.20251023.1011) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Thu, 23 Oct 2025 10:11:08 +0000

ros-one-ar-track-alvar (0.7.1-0noble) noble; urgency=high

  * [maintenance] Remove unnecessary metapkg.
  * [fix][build][CMakeLists] Prevent rosdep errors that only occur when running tests with catkin_make_isolated. See http://answers.ros.org/question/262558/buildfarm-missing-package-dependencies-pkg_namepackagexml/
  * [test] Relax tf test criteria #39 <https://github.com/ros-perception/ar_track_alvar/pull/39>
  * Contributors: Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 14 Jun 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.7.0-0noble) noble; urgency=high

  * Consolidate ar_track_alvar* packages into a single repo (#120 <https://github.com/sniekum/ar_track_alvar/issues/120>)
  * Contributors: Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 21 Apr 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.6.3-0noble) noble; urgency=high

  * [fix] Marker no longer recognized, for IndividualMarkersNoKinect #93 <https://github.com/sniekum/ar_track_alvar/issues/93>
  * [capability] Add param to derive camera frame from pointcloud message frame (#111 <https://github.com/sniekum/ar_track_alvar/issues/111>)
  * [capability ] individual marker nodes: replace command line args with ros parameters (#99 <https://github.com/sniekum/ar_track_alvar/issues/99>)
  * [maintenance] Add system test using .bag. (#106 <https://github.com/sniekum/ar_track_alvar/issues/106>)
  * Contributors: Hans-Joachim Krauch, Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.6.2-0noble) noble; urgency=high

  * [fix] Marker no longer recognized #93 <https://github.com/sniekum/ar_track_alvar/issues/93>
  * [fix] add install rule for bundles folder; fixes #88 <https://github.com/sniekum/ar_track_alvar/issues/88>
  * [fix] Shutdown camera info sub after called
  * [enhancement] add mark_resolution and mark_marge as input option
  * [enhancement] individualMarkers: replace cout with ROS_DEBUG_STREAM (#101 <https://github.com/sniekum/ar_track_alvar/issues/101>)
  * Contributors: Alex Reimann, Hans-Joachim Krauch, Isaac I.Y. Saito, TORK Developer 534

 -- Scott Niekum <sniekum@cs.umass.edu>  Tue, 07 Feb 2017 00:00:00 -0000

ros-one-ar-track-alvar (0.6.1-0noble) noble; urgency=high

  * New parameter -array to create an array of markers #85 <https://github.com/sniekum/ar_track_alvar/issues/85> from 130s/kinetic/add_60
  * Fix build for Kinetic by adding missing dependencies on gencfg #84 <https://github.com/sniekum/ar_track_alvar/issues/84> from 130s/kinetic/fix_buildfarm
  * [sys] Add a maintainer to receive notification from ros buildfarm.
  * Contributors: Jackie Kay, Mehdi, Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 08 Jun 2016 00:00:00 -0000

ros-one-ar-track-alvar (0.6.0-0noble) noble; urgency=high

  * Made compatible to ROS-Kinetic-Kame #80 <https://github.com/sniekum/ar_track_alvar/issues/80>
  * [Travis CI] Add ROS Kinetic support. Add Prerelease Test on Travis #79 <https://github.com/sniekum/ar_track_alvar/issues/79>
  * Contributors: Sepehr MohaimenianPour, Isaac I.Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 01 Jun 2016 00:00:00 -0000

ros-one-ar-track-alvar (0.5.3-0noble) noble; urgency=high

  * [feat] New bool-Topic to enable/disable the marker detection (#70 <https://github.com/sniekum/ar_track_alvar/issues/70>)
  * [feat] added public way to set intrinsicCalibration for Camera class
  * [fix] not publishing marker that are facing in the same direction as the camera.
  * [sys] removed duplicate code for image subscription
  * Contributors: Nikolas Engelhard, Scott Niekum

 -- Scott Niekum <sniekum@cs.umass.edu>  Tue, 02 Feb 2016 00:00:00 -0000

ros-one-ar-track-alvar (0.5.2-0noble) noble; urgency=high

  * [fix] Move tf include from header to cpp files, fixes #66 <https://github.com/sniekum/ar_track_alvar/issues/66>
    The header currently prevents us from re-using the library as a given library (because it pulls in tf2 which causes trouble). The include has been moved to the individual nodes which actually use a TransformBroadcaster.
  * [fix] proper virtual destruction #63 <https://github.com/sniekum/ar_track_alvar/issues/63>.
  * improve license information in package.xml (#58 <https://github.com/sniekum/ar_track_alvar/issues/58>)
  * Added time stamp to header (#57 <https://github.com/sniekum/ar_track_alvar/issues/57>)
    Previously, each pose had a timestamp, but the whole message did not. By including the timestamp for the whole message, it is now possible to use the results of the ar_pose_marker topic with other messages using message_filters::Synchronizer.
  * Contributors: Alex Henning, Bener Suay, Lukas Bulwahn, Scott Niekum, Tim Niemueller, Isaac I. Y. Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 27 Nov 2015 00:00:00 -0000

ros-one-ar-track-alvar (0.5.1-0noble) noble; urgency=high

  * Remove meta pkg; ar_track_alvar is 'unary stack' so no need for the meta pkg.
  * Contributors: Scott Niekum, Isaac IY Saito

 -- Scott Niekum <sniekum@cs.umass.edu>  Tue, 14 Apr 2015 00:00:00 -0000

ros-one-ar-track-alvar (0.5.0-0noble) noble; urgency=high

  * move README to root directory
  * Merge remote-tracking branch 'origin/hydro-devel' into indigo-devel
  * ar_track_alvar package uses ar_track_alvar_msgs
  * restructuring packages. Separate out the message package.
  * Contributors: Jihoon Lee

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 25 Jun 2014 00:00:00 -0000

ros-one-ar-track-alvar (0.4.1-0noble) noble; urgency=high



 -- Scott Niekum <sniekum@cs.umass.edu>  Thu, 28 Nov 2013 00:00:00 -0000

ros-one-ar-track-alvar (0.3.3-0noble) noble; urgency=high



 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 22 Feb 2013 00:00:00 -0000



=== debian/control ===
Source: ros-one-ar-track-alvar
Section: misc
Priority: optional
Maintainer: Scott Niekum <sniekum@cs.umass.edu>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-one-ar-track-alvar-msgs, ros-one-catkin, ros-one-cmake-modules, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-generation, ros-one-pcl-conversions, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2, ros-one-visualization-msgs
Homepage: http://ros.org/wiki/ar_track_alvar
Standards-Version: 3.9.2

Package: ros-one-ar-track-alvar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, ros-one-ar-track-alvar-msgs, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-runtime, ros-one-pcl-conversions, ros-one-pcl-ros, ros-one-resource-retriever, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-tf2, ros-one-visualization-msgs
Description: This package is a ROS wrapper for Alvar, an open source AR tag tracking library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ar-track-alvar//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ar-track-alvar 0.7.1-1noble.20251208.0930

=== debian/changelog ===
ros-one-ar-track-alvar (0.7.1-1noble.20251208.0930) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Mon, 08 Dec 2025 09:30:36 +0000

## ros-one-ar-track-alvar 0.7.1-1noble.20260221.2217

=== debian/changelog ===
ros-one-ar-track-alvar (0.7.1-1noble.20260221.2217) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Sat, 21 Feb 2026 22:17:31 +0000
